Package org.opensaml.soap.wsfed

# Interface RequestSecurityTokenResponse

All Superinterfaces:
  `WSFedObject`, `XMLObject`

All Known Implementing Classes:
  `RequestSecurityTokenResponseImpl`

public interface RequestSecurityTokenResponse extends WSFedObject
This interface defines how the object representing a WS RSTR `RequestedSecurityTokenResponse` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`AppliesTo`
`getAppliesTo()`
Gets the entity to which the token applies.
`List<RequestedSecurityToken>`
`getRequestedSecurityToken()`
Return the list of Security Token child elements.
`void`
`setAppliesTo(AppliesTo appliesTo)`
Set the entity to which the token applies.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getAppliesTo

@Nullable AppliesTo getAppliesTo()
Gets the entity to which the token applies.

Returns:
  the entity to which the token applies

### setAppliesTo

void setAppliesTo(@Nullable AppliesTo appliesTo)
Set the entity to which the token applies.

Parameters:
  `appliesTo` - the entity to which the token applies

### getRequestedSecurityToken

@Nonnull List<RequestedSecurityToken> getRequestedSecurityToken()
Return the list of Security Token child elements.

Returns:
  the list of RequestedSecurityToken child elements.